diff --git a/scripts/commit_new_dsid.sh b/scripts/commit_new_dsid.sh
index bcf74e0565e8f8d5f30dc02d3c228fa97ea6f2f1..c3615da3f55ab32004e2ebe1bee13aa90035923f 100755
--- a/scripts/commit_new_dsid.sh
+++ b/scripts/commit_new_dsid.sh
@@ -108,8 +108,8 @@ else
 fi
 
 # Get the name of the current branch
-currentBranch=$(git branch 2> /dev/null | grep '*' | awk '{print $2}')
-if [ $currentBranch != master ] ; then
+currentBranch=$(git rev-parse --abbrev-ref HEAD)
+if [[ $git == "true" && $currentBranch != "master" ]] ; then
   printError "ERROR: running from branch: $currentBranch. You must switch to the master branch before executing the script"
   exit 3
 fi
@@ -141,14 +141,15 @@ if (( ${#newDSID[@]} > 0 )) ; then
     # If branch exists check it out
     if $branchExists ; then
       printInfo "Branch: $branchName exists. Checking it out..."
-      git checkout $branchName
+      git checkout $branchName || exit 10
     # Otherwise create new one
     else
       printInfo "Will create new branch: $branchName"
       git checkout -b $branchName
       # A push here is needed in order to avoid wrong pipelines getting triggered
       # In the future this could be fixed by gitlab
-      git push -o ci.skip $remoteName $branchName
+      # (silence output to not confuse user with MR link at this stage)
+      git push -u -o ci.skip $remoteName $branchName >& /dev/null
     fi
   fi
 fi
@@ -184,6 +185,7 @@ for dsid in "${newDSID[@]}" ; do
     tmpLogParserOut=$(mktemp -u)
     python scripts/logParser.py -c -i $dsiddir/$dsid/log.generate > $tmpLogParserOut
     if (( $? != 0 )); then
+      cat $tmpLogParserOut
       printError -f "\tERROR: logParser run failed."
       exit 7
     fi
@@ -247,9 +249,13 @@ if $git ; then
   if [[ -z $(git diff --cached) ]] ; then
     printError "ERROR: nothing added to the commit. Please check error messages above."
   else
-    git commit -m "Adding new DSID ${newDSID[0]} $commitMessage"
-    git push -u $remoteName dsid'_'$USER'_'${newDSID[0]}
-    printGood "Successfully pushed new branch: dsid_$USER"_"${newDSID[0]}"
+    git commit -q -m "Adding new DSID ${newDSID[0]} $commitMessage"
+    echo ""
+    printInfo "You have prepared branch $(git rev-parse --abbrev-ref HEAD)."
+    printInfo "This contains the following changes:"
+    git diff --stat master HEAD
+    echo ""
+    printInfo "If this looks good, you should now run 'git push' to upload."
   fi
 fi
 
diff --git a/scripts/logParser.py b/scripts/logParser.py
index 41b7663086624ecaec77c94a94b71fb8d764d44d..5188c2c2893384f32f3643293d0049af093fca20 100644
--- a/scripts/logParser.py
+++ b/scripts/logParser.py
@@ -215,7 +215,7 @@ def main():
         nTopJO=0
         loginfo( '- jobOptions =',"")
         for jo in JOsList:
-            gitexcomm="find . -name "+jo
+            gitexcomm="find . -type f -name "+jo
             retcode = subprocess.Popen(gitexcomm, shell=True,stdout=subprocess.PIPE,stderr=subprocess.PIPE).communicate()
             gitJOs=retcode[0].decode()
             if not gitJOs: